# Class PRS_Reference
extends PRS_SolutionElement

PRS_Reference is a placeholder to support links between PRS_Expression objects and a PRS_Solution. It does not have any properties. A 'Reference' Solution uses PRS_Statement objects to describe general, non-diagnostic knowledge and may not include any PRS_Problem and PRS_Resolution instances.

### Table of Contents
Hierarchy
Direct Known Subclasses
Class Qualifiers
Class Properties
Class Methods

## Class Hierarchy

CIM_ManagedElement
|
+--PRS_ExchangeElement
|
+--PRS_SolutionElement
|
+--PRS_Reference

## Direct Known Subclasses

## Class Qualifiers

Name | Data Type | Value
--- | --- | ---
Description | string | PRS_Reference is a placeholder to support links between PRS_Expression objects and a PRS_Solution. It does not have any properties. A 'Reference' Solution uses PRS_Statement objects to describe general, non-diagnostic knowledge and may not include any PRS_Problem and PRS_Resolution instances.
UMLPackagePath | string | PRS::Support
Version | string | 2.6.0

## Class Properties

### Inherited Properties

Name | Data Type | Class Origin
--- | --- | ---
Caption | string | CIM_ManagedElement
Description | string | CIM_ManagedElement
DirtyFlag | uint8 | PRS_ExchangeElement
ElementName | string | CIM_ManagedElement
InstanceID | string | CIM_ManagedElement
PRSUniqueName | string | PRS_ExchangeElement

## Class Methods